Bug 1807952

Summary: GtkAda3 requires Python 2 to build
Product: [Fedora] Fedora Reporter: Petr Viktorin <pviktori>
Component: GtkAda3Assignee: Björn Persson <bjorn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: bjorn
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: GtkAda3-2020-1.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-10-01 00:16:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1803205    

Description Petr Viktorin 2020-02-27 14:40:07 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like GtkAda3, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

It seems that there's an upstream pull request for building with Python 3: https://github.com/AdaCore/gtkada/pull/23


If it's possible that the Python 2 build dependency won't get removed
in Fedora 33, please let us know; the package will need a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Björn Persson 2020-02-27 15:39:17 UTC
I'll keep an eye on this and see whether they release a version that works with Python 3 or I'll have to patch the binding generator.

Comment 2 Ben Cotton 2020-08-11 13:11:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 3 Fedora Update System 2020-09-26 10:49:43 UTC
FEDORA-2020-3d2ee9f496 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3d2ee9f496

Comment 4 Fedora Update System 2020-09-27 02:15:56 UTC
FEDORA-2020-3d2ee9f496 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3d2ee9f496`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3d2ee9f496

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-10-01 00:16:46 UTC
FEDORA-2020-3d2ee9f496 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.